package fr.itsonus.bousoleplussbackend.controllers;

import fr.itsonus.bousoleplussbackend.domain.quiz.model.Axe;
import fr.itsonus.bousoleplussbackend.usecase.AxeUseCase;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("/axes")
@AllArgsConstructor
public class AxeController {

    private final AxeUseCase axeRepository;

    @GetMapping
    public Iterable<Axe> findAll() {
        return axeRepository.findAll();
    }
}
