package fr.itsonus.bousoleplussbackend.domain.quiz.spi;

import fr.itsonus.bousoleplussbackend.domain.auth.model.User;
import fr.itsonus.bousoleplussbackend.domain.quiz.model.Bundle;
import fr.itsonus.bousoleplussbackend.domain.quiz.model.Question;

import java.util.List;

public interface BundleCacheRepository {

    Bundle findByIdAndUserId(Long id, Long userId);

    List<Bundle> findAllByUser(User user);

    Bundle save(String label, List<Question> questions, User user);
}
