import {defineStore} from 'pinia';

export interface Axe {
  id: number;
  identifier: number;
  shortTitle: string;
  description: string;
  title: string;
  color: string;
}

export const useAxeStore = defineStore('axe', {
  state: () => ({}),
  actions: {
    findAxes() {
      return useApi("axes");
    }
  }
});
